#!/bin/sh

( cd usr/share/src2pkg/sounds ; rm -f success failure cancel ouch)
( cd usr/share/src2pkg/sounds ; ln -sf complete-media-burn.ogg success)
( cd usr/share/src2pkg/sounds ; ln -sf DefaultCrapOut.wav failure)
( cd usr/share/src2pkg/sounds ; ln -sf DefaultBoing.wav cancel)
( cd usr/share/src2pkg/sounds ; ln -sf DefaultOuch.wav ouch)

config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/src2pkg/src2pkg.conf.new
config etc/src2pkg/DONT_PURGE.locales.new

# check to make sure we have been setup. If not run setup if the user is root
# otherwise warn the user
if [ -f /var/log/packages/src2pkg-helpers* ] ; then
	INSTALLED_HELPERS_VERSION=$(ls /var/log/packages/src2pkg-helpers* |cut -f3 -d'-')
else
	INSTALLED_HELPERS_VERSION=none
fi
if [ -f /usr/src/src2pkg/src2pkg-helpers/src2pkg-helpers.src2pkg ] ; then
	CURRENT_HELPERS_VERSION=$(grep '^VERSION=' /usr/src/src2pkg/src2pkg-helpers/src2pkg-helpers.src2pkg |cut -f 2 -d'=')
fi

if ! [ $(ls var/log/packages |grep src2pkg |grep upgraded) ] ; then
	if [ ! -x /usr/libexec/src2pkg/lib/libsentry.so ] || [ $INSTALLED_HELPERS_VERSION != $CURRENT_HELPERS_VERSION ] ; then
	   if [[ $INSTALLED_HELPERS_VERSION = "none" ]] ; then
		echo ""
		echo "  src2pkg uses a small shared library called libsentry"
		echo "  and specific versions of tar and other programs to create"
		echo "  packages. These should be compiled on your system to"
		echo "  ensure the best compatibility, no matter which OS or"
		echo "  version you are running. To compile them, you need"
		echo "  to run the command 'src2pkg --setup' as user 'root'."
		echo ""
	   elif [[ $INSTALLED_HELPERS_VERSION != $CURRENT_HELPERS_VERSION ]] ; then
		echo $CYAN"  NOTICE - "$NORMAL"Your installed version of src2pkg-helpers"
		echo "  src2pkg-helpers needs to be updated. An installed version was "
		echo "  found which doesn't match the current version. To upgrade,"
		echo "  you need to run the command 'src2pkg --setup' as user 'root'."
	   fi
	   echo "  This screen will close in 20 seconds, or press CTRL-C to dismiss."
	   sleep 20
	fi
else
 true
fi